Package org.eclipse.draw2d

# Class PolylineDecoration

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.draw2d.Shape
org.eclipse.draw2d.AbstractPointListShape
org.eclipse.draw2d.Polyline
org.eclipse.draw2d.PolylineDecoration

All Implemented Interfaces:
  `IFigure`, `RotatableDecoration`

public class PolylineDecoration extends Polyline implements RotatableDecoration
A decorative Figure intended to be placed on a `Polyline`. It has the default shape of right-pointing triangle.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`Figure.FigureIterator, Figure.IdentitySearch, Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PointList`
`TRIANGLE_TIP`
A triangle template

### Fields inherited from class org.eclipse.draw2d.Shape

`lineStyle, lineWidth`

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Constructor
Description
`PolylineDecoration()`
Constructs a PolylineDecoration.

## Method Summary

Modifier and Type
Method
Description
`PointList`
`getPoints()`
Returns the points in this figure by reference.
`void`
`setLocation(Point p)`
Sets the location of this IFigure.
`void`
`setReferencePoint(Point ref)`
Sets the reference point used to determine the rotation angle.
`void`
`setRotation(double angle)`
Sets the angle by which rotation is to be done on the PolylineDecoration.
`void`
`setScale(double x, double y)`
Sets the amount of scaling to be done along X and Y axes on the PolylineDecoration's template.
`void`
`setTemplate(PointList pl)`
Sets the PolylineDecoration's point template.

### Methods inherited from class org.eclipse.draw2d.Polyline

`containsPoint, fillShape, getBounds, isOpaque, outlineShape, primTranslate, removeAllPoints, repaint, setLineWidth, setPoints, setTolerance, shapeContainsPoint`

### Methods inherited from class org.eclipse.draw2d.AbstractPointListShape

`addPoint, childrenContainsPoint, getEnd, getStart, insertPoint, removePoint, setEnd, setEndpoints, setPoint, setStart`

### Methods inherited from class org.eclipse.draw2d.Shape

`getAlpha, getAntialias, getLineAttributes, getLineCap, getLineDash, getLineDashOffset, getLineJoin, getLineMiterLimit, getLineStyle, getLineWidth, getLineWidthFloat, paintFigure, setAlpha, setAlpha, setAntialias, setAntialias, setFill, setFillXOR, setLineAttributes, setLineCap, setLineDash, setLineDashOffset, setLineJoin, setLineMiterLimit, setLineStyle, setLineWidthFloat, setOutline, setOutlineXOR, setXOR`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getChildren, getChildrenRevIterable, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, handleMouseWheelScrolled, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, optimizeClip, paint, paintBorder, paintChildren, paintClientArea, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, handleMouseWheelScrolled, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

## Field Details

### TRIANGLE_TIP

public static final PointList TRIANGLE_TIP
A triangle template

## Constructor Details

### PolylineDecoration

public PolylineDecoration()
Constructs a PolylineDecoration. Defaults the PolylineDecoration to fill its region with black.

Since:
  2.0

## Method Details

### getPoints

public PointList getPoints()
Description copied from class: `AbstractPointListShape`
Returns the points in this figure by reference. If the returned list is modified, this figure must be informed by calling `AbstractPointListShape.setPoints(PointList)`. Failure to do so will result in layout and paint problems.

Overrides:
  `getPoints` in class `AbstractPointListShape`
Returns:
  this Polyline's points
See Also:
  - `AbstractPointListShape.getPoints()`

### setLocation

public void setLocation(Point p)
Description copied from interface: `IFigure`
Sets the location of this IFigure.

Specified by:
  `setLocation` in interface `IFigure`
Specified by:
  `setLocation` in interface `RotatableDecoration`
Overrides:
  `setLocation` in class `Figure`
Parameters:
  `p` - The new location
See Also:
  - `IFigure.setLocation(Point)`

### setTemplate

public void setTemplate(PointList pl)
Sets the PolylineDecoration's point template. This template is an outline of the PolylineDecoration's region. (The default value is TRIANGLE_TIP which is a triangle whose tip is pointing to the right).

Parameters:
  `pl` - the template
Since:
  2.0

### setScale

public void setScale(double x, double y)
Sets the amount of scaling to be done along X and Y axes on the PolylineDecoration's template.

Parameters:
  `x` - the x scale
  `y` - the y scale
Since:
  2.0

### setReferencePoint

public void setReferencePoint(Point ref)
Description copied from interface: `RotatableDecoration`
Sets the reference point used to determine the rotation angle.

Specified by:
  `setReferencePoint` in interface `RotatableDecoration`
Parameters:
  `ref` - The reference point
See Also:
  - `RotatableDecoration.setReferencePoint(Point)`

### setRotation

public void setRotation(double angle)
Sets the angle by which rotation is to be done on the PolylineDecoration.

Parameters:
  `angle` - the angle of rotation
Since:
  2.0